 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.List;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.HealthIsolationRecordEntity;
import com.huimv.management.service.HealthIsolationRecordService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Api(tags = "隔离记录表")
@RestController
@RequestMapping("management/healthisolationrecord")
public class HealthIsolationRecordController {
    @Autowired
    private HealthIsolationRecordService healthIsolationRecordService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = healthIsolationRecordService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		HealthIsolationRecordEntity healthIsolationRecord = healthIsolationRecordService.getById(id);

        return R.ok().put("healthIsolationRecord", healthIsolationRecord);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody HealthIsolationRecordEntity healthIsolationRecord){
		healthIsolationRecordService.save(healthIsolationRecord);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody HealthIsolationRecordEntity healthIsolationRecord){
		healthIsolationRecordService.updateById(healthIsolationRecord);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		healthIsolationRecordService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }
    /**
     * 查询全部
     */
    @RequestMapping("/findAll")
    public R findAll(){
        return R.ok().put("all",healthIsolationRecordService.list());
    }


}
